Package org.pushingpixels.substance.api.inputmaps

# Interface InputMapSet

All Known Implementing Classes:
  `AquaInputMapSet`, `BaseInputMapSet`, `GnomeInputMapSet`, `WindowsInputMapSet`

public interface InputMapSet

## Method Summary

Modifier and Type
Method
Description
`SubstanceInputMap`
`getButtonFocusInputMap()`
`SubstanceInputMap`
`getCheckBoxFocusInputMap()`
`SubstanceInputMap`
`getComboBoxAncestorInputMap()`
`SubstanceInputMap`
`getDesktopAncestorInputMap()`
`SubstanceInputMap`
`getEditorPaneFocusInputMap()`
`SubstanceInputMap`
`getFileChooserAncestorInputMap()`
`SubstanceInputMap`
`getFormattedTextFieldFocusInputMap()`
`SubstanceInputMap`
`getListFocusInputMap()`
`SubstanceInputMap`
`getPasswordFieldFocusInputMap()`
`SubstanceInputMap`
`getRadioButtonFocusInputMap()`
`SubstanceInputMap`
`getRootPaneAncestorInputMap()`
`SubstanceInputMap`
`getScrollBarAncestorInputMap()`
`SubstanceInputMap`
`getScrollPaneAncestorInputMap()`
`SubstanceInputMap`
`getSliderFocusInputMap()`
`SubstanceInputMap`
`getSpinnerAncestorInputMap()`
`SubstanceInputMap`
`getSplitPaneAncestorInputMap()`
`SubstanceInputMap`
`getTabbedPaneAncestorInputMap()`
`SubstanceInputMap`
`getTabbedPaneFocusInputMap()`
`SubstanceInputMap`
`getTableAncestorInputMap()`
`SubstanceInputMap`
`getTableHeaderAncestorInputMap()`
`SubstanceInputMap`
`getTextAreaFocusInputMap()`
`SubstanceInputMap`
`getTextFieldFocusInputMap()`
`SubstanceInputMap`
`getTextPaneFocusInputMap()`
`SubstanceInputMap`
`getToggleButtonFocusInputMap()`
`SubstanceInputMap`
`getToolBarAncestorInputMap()`
`SubstanceInputMap`
`getTreeAncestorInputMap()`
`SubstanceInputMap`
`getTreeFocusInputMap()`

## Method Details

### getButtonFocusInputMap

SubstanceInputMap getButtonFocusInputMap()

### getCheckBoxFocusInputMap

SubstanceInputMap getCheckBoxFocusInputMap()

### getComboBoxAncestorInputMap

SubstanceInputMap getComboBoxAncestorInputMap()

### getDesktopAncestorInputMap

SubstanceInputMap getDesktopAncestorInputMap()

### getEditorPaneFocusInputMap

SubstanceInputMap getEditorPaneFocusInputMap()

### getFileChooserAncestorInputMap

SubstanceInputMap getFileChooserAncestorInputMap()

### getFormattedTextFieldFocusInputMap

SubstanceInputMap getFormattedTextFieldFocusInputMap()

### getListFocusInputMap

SubstanceInputMap getListFocusInputMap()

### getPasswordFieldFocusInputMap

SubstanceInputMap getPasswordFieldFocusInputMap()

### getRadioButtonFocusInputMap

SubstanceInputMap getRadioButtonFocusInputMap()

### getRootPaneAncestorInputMap

SubstanceInputMap getRootPaneAncestorInputMap()

### getScrollBarAncestorInputMap

SubstanceInputMap getScrollBarAncestorInputMap()

### getScrollPaneAncestorInputMap

SubstanceInputMap getScrollPaneAncestorInputMap()

### getSliderFocusInputMap

SubstanceInputMap getSliderFocusInputMap()

### getSpinnerAncestorInputMap

SubstanceInputMap getSpinnerAncestorInputMap()

### getSplitPaneAncestorInputMap

SubstanceInputMap getSplitPaneAncestorInputMap()

### getTabbedPaneAncestorInputMap

SubstanceInputMap getTabbedPaneAncestorInputMap()

### getTabbedPaneFocusInputMap

SubstanceInputMap getTabbedPaneFocusInputMap()

### getTableAncestorInputMap

SubstanceInputMap getTableAncestorInputMap()

### getTableHeaderAncestorInputMap

SubstanceInputMap getTableHeaderAncestorInputMap()

### getTextAreaFocusInputMap

SubstanceInputMap getTextAreaFocusInputMap()

### getTextFieldFocusInputMap

SubstanceInputMap getTextFieldFocusInputMap()

### getTextPaneFocusInputMap

SubstanceInputMap getTextPaneFocusInputMap()

### getToggleButtonFocusInputMap

SubstanceInputMap getToggleButtonFocusInputMap()

### getToolBarAncestorInputMap

SubstanceInputMap getToolBarAncestorInputMap()

### getTreeAncestorInputMap

SubstanceInputMap getTreeAncestorInputMap()

### getTreeFocusInputMap

SubstanceInputMap getTreeFocusInputMap()